Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Help needed with FPE handling


I'm trying to make the latest Erlang (R14A) work on NetBSD/amd64 and I'd
really appreciate some help with the FPE handling code. Please do this:

echo PKG_OPTIONS.erlang=erlang-hipe >> /etc/mk.conf
cd /usr/pkgsrc/wip/erlang

As you can see, the patch-as file does not work on amd64 if HiPE
(High-Performance Erlang) is enabled and I assume even i386 should have
an optimized version like FreeBSD has.

So, if you know this x86 register stuff, feel free to help me, off-list
is fine with me. Once we have a working patch, I'll submit all pkgsrc
patches upstream...


Home | Main Index | Thread Index | Old Index